[arch-commits] Commit in tomcat9/repos/extra-any (10 files)

Maxime Gauduin alucryd at archlinux.org
Wed Feb 3 07:26:36 UTC 2021


    Date: Wednesday, February 3, 2021 @ 07:26:36
  Author: alucryd
Revision: 407130

archrelease: copy trunk to extra-any

Added:
  tomcat9/repos/extra-any/PKGBUILD
    (from rev 407129, tomcat9/trunk/PKGBUILD)
  tomcat9/repos/extra-any/tomcat9.install
    (from rev 407129, tomcat9/trunk/tomcat9.install)
  tomcat9/repos/extra-any/tomcat9.service
    (from rev 407129, tomcat9/trunk/tomcat9.service)
  tomcat9/repos/extra-any/tomcat9.sysusers
    (from rev 407129, tomcat9/trunk/tomcat9.sysusers)
  tomcat9/repos/extra-any/tomcat9.tmpfiles
    (from rev 407129, tomcat9/trunk/tomcat9.tmpfiles)
Deleted:
  tomcat9/repos/extra-any/PKGBUILD
  tomcat9/repos/extra-any/tomcat9.install
  tomcat9/repos/extra-any/tomcat9.service
  tomcat9/repos/extra-any/tomcat9.sysusers
  tomcat9/repos/extra-any/tomcat9.tmpfiles

------------------+
 PKGBUILD         |  250 ++++++++++++++++++++++++++---------------------------
 tomcat9.install  |   32 +++---
 tomcat9.service  |   70 +++++++-------
 tomcat9.sysusers |    2 
 tomcat9.tmpfiles |   10 +-
 5 files changed, 182 insertions(+), 182 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-02-03 07:26:28 UTC (rev 407129)
+++ PKGBUILD	2021-02-03 07:26:36 UTC (rev 407130)
@@ -1,125 +0,0 @@
-# Maintainer: Maxime Gauduin <alucryd at archlinux.org>
-# Contributor: Olli <olli at suruatoel.xyz>
-
-pkgname=tomcat9
-pkgver=9.0.41
-pkgrel=1
-pkgdesc='Open source implementation of the Java Servlet 4.0 and JavaServer Pages 2.3 technologies'
-arch=(any)
-url=https://tomcat.apache.org/
-license=(APACHE)
-depends=(
-  'java-runtime>=8'
-  java-jsvc
-  java-commons-daemon
-  eclipse-ecj
-)
-makedepends=(
-  ant
-  git
-  java-environment=8
-)
-optdepends=('tomcat-native: to allow optimal performance in production environments')
-backup=(
-  etc/tomcat9/catalina.policy
-  etc/tomcat9/catalina.properties
-  etc/tomcat9/context.xml
-  etc/tomcat9/logging.properties
-  etc/tomcat9/server.xml
-  etc/tomcat9/tomcat-users.xml
-  etc/tomcat9/web.xml
-)
-install=tomcat9.install
-_tag=75d7a2069bf4360bcd8b885c6b7387d70c9cb052
-source=(
-  git+https://github.com/apache/tomcat.git#tag=${_tag}
-  tomcat9.service
-  tomcat9.sysusers
-  tomcat9.tmpfiles
-)
-b2sums=('SKIP'
-        '54b745cefdb9dbe5993b0b2ca08fae8d453a7610ffdeb2795b766d3ce321c267d570f6a1f5bd197f4c8053df3ab46ff68363f9d5ea1d96ddf96d19b84c075d21'
-        'b5206f649229ed67e8f9bfbd942d2fcdeb4056633e47b6a0cbbd813220c74a708a418fb09fe2e5a3c6fb17e271f268e2326bc3d26cdfd0e54c4f0eb9eeba3413'
-        '85a0dc807d3398856046e1450578e8f3a81ee34435eba119a883231ecd0e09ed32c97bf1747b20a253270df8a6e918d3823e6273ec52c01afd9a34a042e9dfcf')
-
-_gid_log=19
-_gid_tomcat=58
-_uid_tomcat=58
-
-pkgver() {
-  cd tomcat
-
-  _pkgver=$(git describe --tags)
-
-  if [[ ${_pkgver} != 9.* ]]; then
-    exit 1
-  fi
-
-  echo ${_pkgver}
-}
-
-prepare() {
-  cd tomcat
-
-  cp build.properties.default build.properties
-  sed "/^base\.path=/c\base\.path=${srcdir}" -i build.properties
-  sed "/^compile.debug=/c\compile.debug=false" -i build.properties
-  sed "/^trydownload.httpusecaches=/c\trydownload.httpusecaches=false" -i build.properties
-}
-
-build() {
-  cd tomcat
-
-  export JAVA_HOME=/usr/lib/jvm/java-8-openjdk
-  export PATH="$JAVA_HOME/bin:$PATH"
-
-  ant
-}
-
-package() {
-  cd tomcat/output/build
-
-  # Tomcat general files
-  install -dm 755 "${pkgdir}"/usr/share/tomcat9/bin
-  install -m 755  bin/* -t "${pkgdir}"/usr/share/tomcat9/bin/
-  # commons-daemon is packaged on its own
-  rm "${pkgdir}"/usr/share/tomcat9/bin/{*.bat,commons-daemon*}
-  ln -s /usr/share/java/commons-daemon.jar "${pkgdir}"/usr/share/tomcat9/bin/commons-daemon.jar
-
-  install -dm 755 "${pkgdir}"/usr/share/java/tomcat9
-  install -m 644 lib/* -t "${pkgdir}"/usr/share/java/tomcat9/
-  # eclipse-ecj is packaged on its own
-  rm "${pkgdir}"/usr/share/java/tomcat9/ecj-*.jar
-  ln -s ../eclipse-ecj.jar "${pkgdir}"/usr/share/java/tomcat9/ecj.jar
-
-  ln -s /usr/share/java/tomcat9 "${pkgdir}"/usr/share/tomcat9/lib
-
-  # We log through systemd but this would still be required for stock Tomcat logging
-  install -dm 775 -o ${_uid_tomcat} -g ${_gid_log} "${pkgdir}"/var/log/tomcat9
-  ln -s /var/log/tomcat9 "${pkgdir}"/usr/share/tomcat9/logs
-  touch "${pkgdir}"/var/log/tomcat9/catalina.{out,err}
-  chgrp ${_gid_log} "${pkgdir}"/var/log/tomcat9/catalina.{out,err}
-
-  install -dm 775 "${pkgdir}"/etc/tomcat9
-  install -m 640 -g ${_gid_tomcat} conf/* -t "${pkgdir}"/etc/tomcat9/
-
-  install -dm 775 -g ${_gid_tomcat} "${pkgdir}"/etc/tomcat9/Catalina
-  ln -s /etc/tomcat9 "${pkgdir}"/usr/share/tomcat9/conf
-
-  install -dm 775 "${pkgdir}"/var/lib/tomcat9
-  cp -dr --no-preserve=ownership webapps "${pkgdir}"/var/lib/tomcat9/
-  chown -R ${_uid_tomcat}:${_gid_tomcat} "${pkgdir}"/var/lib/tomcat9
-  chmod 775 "${pkgdir}"/var/lib/tomcat9/webapps
-  ln -s /var/lib/tomcat9/webapps "${pkgdir}"/usr/share/tomcat9/webapps
-
-  install -dm 1777 "${pkgdir}"/var/tmp
-  install -dm 775 -o ${_uid_tomcat} -g ${_gid_tomcat} "${pkgdir}"/var/tmp/tomcat9/{temp,work}
-  ln -s /var/tmp/tomcat9/temp "${pkgdir}"/usr/share/tomcat9/temp
-  ln -s /var/tmp/tomcat9/work "${pkgdir}"/usr/share/tomcat9/work
-
-  install -Dm 644 ../../../tomcat9.service -t "${pkgdir}"/usr/lib/systemd/system/
-  install -Dm 644 ../../../tomcat9.sysusers "${pkgdir}"/usr/lib/sysusers.d/tomcat9.conf
-  install -Dm 644 ../../../tomcat9.tmpfiles "${pkgdir}"/usr/lib/tmpfiles.d/tomcat9.conf
-}
-
-# vim: ts=2 sw=2 et:

Copied: tomcat9/repos/extra-any/PKGBUILD (from rev 407129, tomcat9/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-02-03 07:26:36 UTC (rev 407130)
@@ -0,0 +1,125 @@
+# Maintainer: Maxime Gauduin <alucryd at archlinux.org>
+# Contributor: Olli <olli at suruatoel.xyz>
+
+pkgname=tomcat9
+pkgver=9.0.43
+pkgrel=1
+pkgdesc='Open source implementation of the Java Servlet 4.0 and JavaServer Pages 2.3 technologies'
+arch=(any)
+url=https://tomcat.apache.org/
+license=(APACHE)
+depends=(
+  'java-runtime>=8'
+  java-jsvc
+  java-commons-daemon
+  eclipse-ecj
+)
+makedepends=(
+  ant
+  git
+  java-environment=8
+)
+optdepends=('tomcat-native: to allow optimal performance in production environments')
+backup=(
+  etc/tomcat9/catalina.policy
+  etc/tomcat9/catalina.properties
+  etc/tomcat9/context.xml
+  etc/tomcat9/logging.properties
+  etc/tomcat9/server.xml
+  etc/tomcat9/tomcat-users.xml
+  etc/tomcat9/web.xml
+)
+install=tomcat9.install
+_tag=dc8bcd9c0704235319d322ca3d4c32263a054766
+source=(
+  git+https://github.com/apache/tomcat.git#tag=${_tag}
+  tomcat9.service
+  tomcat9.sysusers
+  tomcat9.tmpfiles
+)
+b2sums=('SKIP'
+        '54b745cefdb9dbe5993b0b2ca08fae8d453a7610ffdeb2795b766d3ce321c267d570f6a1f5bd197f4c8053df3ab46ff68363f9d5ea1d96ddf96d19b84c075d21'
+        'b5206f649229ed67e8f9bfbd942d2fcdeb4056633e47b6a0cbbd813220c74a708a418fb09fe2e5a3c6fb17e271f268e2326bc3d26cdfd0e54c4f0eb9eeba3413'
+        '85a0dc807d3398856046e1450578e8f3a81ee34435eba119a883231ecd0e09ed32c97bf1747b20a253270df8a6e918d3823e6273ec52c01afd9a34a042e9dfcf')
+
+_gid_log=19
+_gid_tomcat=58
+_uid_tomcat=58
+
+pkgver() {
+  cd tomcat
+
+  _pkgver=$(git describe --tags)
+
+  if [[ ${_pkgver} != 9.* ]]; then
+    exit 1
+  fi
+
+  echo ${_pkgver}
+}
+
+prepare() {
+  cd tomcat
+
+  cp build.properties.default build.properties
+  sed "/^base\.path=/c\base\.path=${srcdir}" -i build.properties
+  sed "/^compile.debug=/c\compile.debug=false" -i build.properties
+  sed "/^trydownload.httpusecaches=/c\trydownload.httpusecaches=false" -i build.properties
+}
+
+build() {
+  cd tomcat
+
+  export JAVA_HOME=/usr/lib/jvm/java-8-openjdk
+  export PATH="$JAVA_HOME/bin:$PATH"
+
+  ant
+}
+
+package() {
+  cd tomcat/output/build
+
+  # Tomcat general files
+  install -dm 755 "${pkgdir}"/usr/share/tomcat9/bin
+  install -m 755  bin/* -t "${pkgdir}"/usr/share/tomcat9/bin/
+  # commons-daemon is packaged on its own
+  rm "${pkgdir}"/usr/share/tomcat9/bin/{*.bat,commons-daemon*}
+  ln -s /usr/share/java/commons-daemon.jar "${pkgdir}"/usr/share/tomcat9/bin/commons-daemon.jar
+
+  install -dm 755 "${pkgdir}"/usr/share/java/tomcat9
+  install -m 644 lib/* -t "${pkgdir}"/usr/share/java/tomcat9/
+  # eclipse-ecj is packaged on its own
+  rm "${pkgdir}"/usr/share/java/tomcat9/ecj-*.jar
+  ln -s ../eclipse-ecj.jar "${pkgdir}"/usr/share/java/tomcat9/ecj.jar
+
+  ln -s /usr/share/java/tomcat9 "${pkgdir}"/usr/share/tomcat9/lib
+
+  # We log through systemd but this would still be required for stock Tomcat logging
+  install -dm 775 -o ${_uid_tomcat} -g ${_gid_log} "${pkgdir}"/var/log/tomcat9
+  ln -s /var/log/tomcat9 "${pkgdir}"/usr/share/tomcat9/logs
+  touch "${pkgdir}"/var/log/tomcat9/catalina.{out,err}
+  chgrp ${_gid_log} "${pkgdir}"/var/log/tomcat9/catalina.{out,err}
+
+  install -dm 775 "${pkgdir}"/etc/tomcat9
+  install -m 640 -g ${_gid_tomcat} conf/* -t "${pkgdir}"/etc/tomcat9/
+
+  install -dm 775 -g ${_gid_tomcat} "${pkgdir}"/etc/tomcat9/Catalina
+  ln -s /etc/tomcat9 "${pkgdir}"/usr/share/tomcat9/conf
+
+  install -dm 775 "${pkgdir}"/var/lib/tomcat9
+  cp -dr --no-preserve=ownership webapps "${pkgdir}"/var/lib/tomcat9/
+  chown -R ${_uid_tomcat}:${_gid_tomcat} "${pkgdir}"/var/lib/tomcat9
+  chmod 775 "${pkgdir}"/var/lib/tomcat9/webapps
+  ln -s /var/lib/tomcat9/webapps "${pkgdir}"/usr/share/tomcat9/webapps
+
+  install -dm 1777 "${pkgdir}"/var/tmp
+  install -dm 775 -o ${_uid_tomcat} -g ${_gid_tomcat} "${pkgdir}"/var/tmp/tomcat9/{temp,work}
+  ln -s /var/tmp/tomcat9/temp "${pkgdir}"/usr/share/tomcat9/temp
+  ln -s /var/tmp/tomcat9/work "${pkgdir}"/usr/share/tomcat9/work
+
+  install -Dm 644 ../../../tomcat9.service -t "${pkgdir}"/usr/lib/systemd/system/
+  install -Dm 644 ../../../tomcat9.sysusers "${pkgdir}"/usr/lib/sysusers.d/tomcat9.conf
+  install -Dm 644 ../../../tomcat9.tmpfiles "${pkgdir}"/usr/lib/tmpfiles.d/tomcat9.conf
+}
+
+# vim: ts=2 sw=2 et:

Deleted: tomcat9.install
===================================================================
--- tomcat9.install	2021-02-03 07:26:28 UTC (rev 407129)
+++ tomcat9.install	2021-02-03 07:26:36 UTC (rev 407130)
@@ -1,16 +0,0 @@
-post_install() {
-  if [ -f lib/modules/$(uname -r)/kernel/security/capability.ko ]; then
-    echo 'It appears that your current kernel has linux security'
-    echo 'capabilities built as a module. Tomcat requires this'
-    echo ' functionality to operate.'
-  fi
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-pre_remove() {
-  echo "Leftover files may reside in /var/{lib,tmp,log}/tomcat9"
-  echo "If you remove them, you may also want to remove user and group 'tomcat9'"
-}

Copied: tomcat9/repos/extra-any/tomcat9.install (from rev 407129, tomcat9/trunk/tomcat9.install)
===================================================================
--- tomcat9.install	                        (rev 0)
+++ tomcat9.install	2021-02-03 07:26:36 UTC (rev 407130)
@@ -0,0 +1,16 @@
+post_install() {
+  if [ -f lib/modules/$(uname -r)/kernel/security/capability.ko ]; then
+    echo 'It appears that your current kernel has linux security'
+    echo 'capabilities built as a module. Tomcat requires this'
+    echo ' functionality to operate.'
+  fi
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  echo "Leftover files may reside in /var/{lib,tmp,log}/tomcat9"
+  echo "If you remove them, you may also want to remove user and group 'tomcat9'"
+}

Deleted: tomcat9.service
===================================================================
--- tomcat9.service	2021-02-03 07:26:28 UTC (rev 407129)
+++ tomcat9.service	2021-02-03 07:26:36 UTC (rev 407130)
@@ -1,35 +0,0 @@
-[Unit]
-Description=Tomcat 9 servlet container
-After=network.target
-
-[Service]
-Type=forking
-PIDFile=/var/run/tomcat9.pid
-Environment=CATALINA_PID=/var/run/tomcat9.pid
-Environment=TOMCAT_JAVA_HOME=/usr/lib/jvm/default-runtime
-Environment=CATALINA_HOME=/usr/share/tomcat9
-Environment=CATALINA_BASE=/usr/share/tomcat9
-Environment=CATALINA_OPTS=
-Environment=ERRFILE=SYSLOG
-Environment=OUTFILE=SYSLOG
-
-ExecStart=/usr/bin/jsvc \
-            -Dcatalina.home=${CATALINA_HOME} \
-            -Dcatalina.base=${CATALINA_BASE} \
-            -Djava.io.tmpdir=/var/tmp/tomcat9/temp \
-            -cp /usr/share/java/commons-daemon.jar:/usr/share/java/eclipse-ecj.jar:${CATALINA_HOME}/bin/bootstrap.jar:${CATALINA_HOME}/bin/tomcat-juli.jar \
-            -user tomcat9 \
-            -java-home ${TOMCAT_JAVA_HOME} \
-            -pidfile /var/run/tomcat9.pid \
-            -errfile ${ERRFILE} \
-            -outfile ${OUTFILE} \
-            $CATALINA_OPTS \
-            org.apache.catalina.startup.Bootstrap
-
-ExecStop=/usr/bin/jsvc \
-            -pidfile /var/run/tomcat9.pid \
-            -stop \
-            org.apache.catalina.startup.Bootstrap
-
-[Install]
-WantedBy=multi-user.target

Copied: tomcat9/repos/extra-any/tomcat9.service (from rev 407129, tomcat9/trunk/tomcat9.service)
===================================================================
--- tomcat9.service	                        (rev 0)
+++ tomcat9.service	2021-02-03 07:26:36 UTC (rev 407130)
@@ -0,0 +1,35 @@
+[Unit]
+Description=Tomcat 9 servlet container
+After=network.target
+
+[Service]
+Type=forking
+PIDFile=/var/run/tomcat9.pid
+Environment=CATALINA_PID=/var/run/tomcat9.pid
+Environment=TOMCAT_JAVA_HOME=/usr/lib/jvm/default-runtime
+Environment=CATALINA_HOME=/usr/share/tomcat9
+Environment=CATALINA_BASE=/usr/share/tomcat9
+Environment=CATALINA_OPTS=
+Environment=ERRFILE=SYSLOG
+Environment=OUTFILE=SYSLOG
+
+ExecStart=/usr/bin/jsvc \
+            -Dcatalina.home=${CATALINA_HOME} \
+            -Dcatalina.base=${CATALINA_BASE} \
+            -Djava.io.tmpdir=/var/tmp/tomcat9/temp \
+            -cp /usr/share/java/commons-daemon.jar:/usr/share/java/eclipse-ecj.jar:${CATALINA_HOME}/bin/bootstrap.jar:${CATALINA_HOME}/bin/tomcat-juli.jar \
+            -user tomcat9 \
+            -java-home ${TOMCAT_JAVA_HOME} \
+            -pidfile /var/run/tomcat9.pid \
+            -errfile ${ERRFILE} \
+            -outfile ${OUTFILE} \
+            $CATALINA_OPTS \
+            org.apache.catalina.startup.Bootstrap
+
+ExecStop=/usr/bin/jsvc \
+            -pidfile /var/run/tomcat9.pid \
+            -stop \
+            org.apache.catalina.startup.Bootstrap
+
+[Install]
+WantedBy=multi-user.target

Deleted: tomcat9.sysusers
===================================================================
--- tomcat9.sysusers	2021-02-03 07:26:28 UTC (rev 407129)
+++ tomcat9.sysusers	2021-02-03 07:26:36 UTC (rev 407130)
@@ -1 +0,0 @@
-u tomcat9 58 "Tomcat 9 user" /usr/share/tomcat9

Copied: tomcat9/repos/extra-any/tomcat9.sysusers (from rev 407129, tomcat9/trunk/tomcat9.sysusers)
===================================================================
--- tomcat9.sysusers	                        (rev 0)
+++ tomcat9.sysusers	2021-02-03 07:26:36 UTC (rev 407130)
@@ -0,0 +1 @@
+u tomcat9 58 "Tomcat 9 user" /usr/share/tomcat9

Deleted: tomcat9.tmpfiles
===================================================================
--- tomcat9.tmpfiles	2021-02-03 07:26:28 UTC (rev 407129)
+++ tomcat9.tmpfiles	2021-02-03 07:26:36 UTC (rev 407130)
@@ -1,5 +0,0 @@
-d  /var/tmp/tomcat9/temp     0775  tomcat9  tomcat9
-d  /var/tmp/tomcat9/work     0775  tomcat9  tomcat9
-d  /var/lib/tomcat9          0775  tomcat9  tomcat9
-d  /var/lib/tomcat9/webapps  0775  tomcat9  tomcat9
-d  /var/log/tomcat9          0775  tomcat9  log

Copied: tomcat9/repos/extra-any/tomcat9.tmpfiles (from rev 407129, tomcat9/trunk/tomcat9.tmpfiles)
===================================================================
--- tomcat9.tmpfiles	                        (rev 0)
+++ tomcat9.tmpfiles	2021-02-03 07:26:36 UTC (rev 407130)
@@ -0,0 +1,5 @@
+d  /var/tmp/tomcat9/temp     0775  tomcat9  tomcat9
+d  /var/tmp/tomcat9/work     0775  tomcat9  tomcat9
+d  /var/lib/tomcat9          0775  tomcat9  tomcat9
+d  /var/lib/tomcat9/webapps  0775  tomcat9  tomcat9
+d  /var/log/tomcat9          0775  tomcat9  log


More information about the arch-commits mailing list